libwpd: WPXMemoryInputStream Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WPXMemoryInputStream Class Reference

`#include <WPXMemoryStream.h>`

Inheritance diagram for WPXMemoryInputStream:

List of all members.

## Public Member Functions
| WPXMemoryInputStream (uint8_t *data, size_t size)
virtual | ~WPXMemoryInputStream ()
virtual bool | isOLEStream ()
virtual WPXInputStream * | getDocumentOLEStream ()
virtual const uint8_t * | read (size_t numBytes, size_t &numBytesRead)
virtual int | seek (long offset, WPX_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | atEOS ()
## Private Attributes
long | m_offset
size_t | m_size
uint8_t * | m_data
uint8_t * | m_tmpBuf

## Constructor & Destructor Documentation

WPXMemoryInputStream::WPXMemoryInputStream | ( | uint8_t * | data,
|  | size_t | size
| ) |

WPXMemoryInputStream::~WPXMemoryInputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

bool WPXMemoryInputStream::atEOS | ( |  | ) | `[virtual]`

| Implements WPXInputStream.

virtual WPXInputStream* WPXMemoryInputStream::getDocumentOLEStream | ( |  | ) | `[inline, virtual]`

| Implements WPXInputStream.

virtual bool WPXMemoryInputStream::isOLEStream | ( |  | ) | `[inline, virtual]`

| Implements WPXInputStream.

const uint8_t * WPXMemoryInputStream::read | ( | size_t | numBytes,
|  | size_t & | numBytesRead
| ) | `[virtual]`

| Implements WPXInputStream.

int WPXMemoryInputStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType
| ) | `[virtual]`

| Implements WPXInputStream.

long WPXMemoryInputStream::tell | ( |  | ) | `[virtual]`

| Implements WPXInputStream.

## Member Data Documentation

uint8_t* WPXMemoryInputStream::m_data`[private]`

long WPXMemoryInputStream::m_offset`[private]`

size_t WPXMemoryInputStream::m_size`[private]`

uint8_t* WPXMemoryInputStream::m_tmpBuf`[private]`

The documentation for this class was generated from the following files:

- WPXMemoryStream.h
- WPXMemoryStream.cpp